Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.process
Class SortValuesComponent

    java.lang.Object
      org.modeshape.graph.query.process.ProcessingComponent
          org.modeshape.graph.query.process.DelegatingComponent
              org.modeshape.graph.query.process.SortValuesComponent

    public class SortValuesComponent

extends DelegatingComponent

A `ProcessingComponent` implementation that performs a `PROJECT` operation to reduce the columns that appear in the results.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.query.process.ProcessingComponent
`ProcessingComponent.DynamicOperation`

Constructor Summary
`SortValuesComponent(ProcessingComponent delegate, List<Ordering> orderings, Map<SelectorName,SelectorName> sourceNamesByAlias)`

Method Summary
`protected Comparator<Object[]>` | `createSortComparator(QueryContext context, QueryResults.Columns columns, List<Ordering> orderings, Map<SelectorName,SelectorName> sourceNamesByAlias)`
`protected Comparator<Object[]>` | `createSortComparator(QueryContext context, QueryResults.Columns columns, Ordering ordering, Map<SelectorName,SelectorName> sourceNamesByAlias)`
`List<Object[]>` | `execute()` Execute this stage of processing and return the resulting tuples that each conform to the `columns`.
`Comparator<Object[]>` | `getSortingComparator()`

Methods inherited from class org.modeshape.graph.query.process.DelegatingComponent
`close, delegate`

Methods inherited from class org.modeshape.graph.query.process.ProcessingComponent
`createDynamicOperation, createSortComparator, emptyTuples, getColumns, getContext, problems`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortValuesComponent

    public SortValuesComponent(ProcessingComponent delegate,
                               List<Ordering> orderings,
                               Map<SelectorName,SelectorName> sourceNamesByAlias)

Method Detail

### getSortingComparator

    public Comparator<Object[]> getSortingComparator()

  Returns:
    sortingComparator

### execute

    public List<Object[]> execute()

  Execute this stage of processing and return the resulting tuples that each conform to the `columns`.

  Specified by:
    `execute` in class `ProcessingComponent`
  Returns:
    the list of tuples, where each tuple corresonds to the `columns`; never null
  See Also:
    `ProcessingComponent.execute()`

### createSortComparator

    protected Comparator<Object[]> createSortComparator(QueryContext context,
                                                        QueryResults.Columns columns,
                                                        List<Ordering> orderings,
                                                        Map<SelectorName,SelectorName> sourceNamesByAlias)

### createSortComparator

    protected Comparator<Object[]> createSortComparator(QueryContext context,
                                                        QueryResults.Columns columns,
                                                        Ordering ordering,
                                                        Map<SelectorName,SelectorName> sourceNamesByAlias)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.